# Campaign

Campaigns are used to track where contacts and leads originate from

| Name         | Type                                           | Description                         |
| ------------ | ---------------------------------------------- | ----------------------------------- |
| code         | String                                         | Human-readable, unique reference    |
| contactCount | Int                                            | Number of contacts in this campaign |
| endDate      | ISO8601Date                                    | End date of campaign                |
| id           | ID                                             | Unique identifier for the campaign  |
| leadCount    | Int                                            | Number of leads in this campaign    |
| name         | String                                         | Campaign name                       |
| owner        | [User](/developer/api-reference/types/user.md) | Campaign owner                      |
| ownerUserId  | ID                                             | ID of the user owning this campaign |
| startDate    | ISO8601Date                                    | Start date of campaign              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/campaign.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
